{% from "bootstrap5/form.html" import quick_form, render_field %}
{% extends "base.html" %}
{% block title %}GPIO{% endblock %}
{% block content %}


{% for device, params in data.items() %}

{% if "error" in params %}
	<h2>{{ device }}<span class="badge rounded-pill bg-danger">ERROR</span></h3>
	<div class="alert alert-danger">{{ params['error'] }}</div>
{% else %}

  <div class="container py-4 px-0"> 
  <h2>{{ device }} ({{ params["device"] }})
    <small class="text-muted">{{ params["comment"] }}</small></h2>

  {% if params["has_outputs"] %}
  <form class="form" action="/gpio/set" method="post" role="form">
    <input id="device" name="device" type="hidden" value="{{device}}">
  {% endif %}

  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">Line</th>
        <th scope="col">Value</th>
        <th scope="col">Comment</th>
      </tr>
    </thead>
    <tbody>

    {% for line, status in params["lines"].items() %}
    {% if status["direction"] == "in" %}
    <tr>
      <th scope="row">{{ "#{}".format(line) }}</th>
      {% if status["value"] %}
        <td><span class="badge rounded-pill bg-success">HIGH</span></td>
      {% else %}
        <td><span class="badge rounded-pill bg-dark">LOW</span></td>
      {% endif %}
      <td scope="row">{{ "{}".format(status["label"]) }}</td>
    </tr>
    {% else %}
    <label>
      <tr>
        <th scope="row">{{ "#{}".format(line) }}</th>
        <td>
          {% if status["value"] %}
          <input id="bit{{line}}" name="bit{{line}}" type="checkbox" value="1" checked>
          {% else %}
          <input id="bit{{line}}" name="bit{{line}}" type="checkbox" value="1">
          {% endif %}
          <input id="bit{{line}}" name="bit{{line}}" type="hidden" value="0">
        </td>
        <td scope="row">{{ "{}".format(status["label"]) }}</td>
      </tr>
    </label>
    {% endif %}
    {% endfor %}

    </tbody>
  </table>

  {% if params["has_outputs"] %}
    <div>
      <input class="btn btn-primary" id="submit" name="submit" type="submit" value="Set bits">
    </div>  
  </form>
  {% endif %}
  </div>

{% endif %}

{% endfor %}

{% endblock %}